<form class="form" [formGroup]="registrationForm" (ngSubmit)="onSubmit()">

    <button class="update-form" mat-stroked-button color="primary" (click)="updatedForm()">update form</button>

    <div class="item-form">
        <mat-form-field class="example-full-width">
            <mat-label>Nom</mat-label>
            <input matInput placeholder="Nom" value="" formControlName="firstName">
            <mat-error *ngIf="registrationForm.get('firstName').hasError('required')">
                firstName is <strong>required</strong>
            </mat-error>
          </mat-form-field>
      
          <mat-form-field class="example-full-width">
            <mat-label>Prenom</mat-label>
            <input matInput placeholder="Prenom" value="" formControlName="lastName">
            <mat-error *ngIf="registrationForm.get('lastName').hasError('required')">
                lastName is <strong>required</strong>
            </mat-error>
          </mat-form-field>
    </div>

    <div class="item-form">
        <mat-form-field>
            <mat-label>Date de naissance</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="birthDate">
            <mat-error *ngIf="registrationForm.get('birthDate').hasError('required')">
                birthDate is <strong>required</strong>
            </mat-error>
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
    
        <mat-form-field>
            <mat-label>Genre</mat-label>
            <mat-select formControlName="gender">
              <mat-option *ngFor="let genre of genders" [value]="genre">
                {{genre}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="registrationForm.get('gender').hasError('required')">
                Gender is <strong>required</strong>
            </mat-error>
          </mat-form-field>
    </div>
    
    <div class="item-form">
        <mat-form-field class="example-full-width">
            <mat-label>Mot de passe</mat-label>
            <input matInput placeholder="Mot de passe" value="" formControlName="password">
            <mat-error *ngIf="registrationForm.get('password').hasError('required')">
                password is <strong>required</strong>
            </mat-error>
            <mat-error *ngIf="registrationForm.get('password').hasError('minlength')">
                password must be at least 8 characters 
            </mat-error>
          </mat-form-field>
    
          <mat-form-field class="example-full-width">
            <mat-label>Code postal</mat-label>
            <input matInput placeholder="Code postal" value="" formControlName="zipCode">
            <mat-error *ngIf="registrationForm.get('zipCode').hasError('pattern')">
                Please enter a number
            </mat-error>
            <mat-error *ngIf="registrationForm.get('zipCode').hasError('minlength') && !registrationForm.get('zipCode').hasError('pattern')">
                zipcode must be at least 5 number
            </mat-error>
            <mat-error *ngIf="registrationForm.get('zipCode').hasError('required')">
                zipCode is <strong>required</strong> 
            </mat-error>
          </mat-form-field>
    </div>
      
    <div class="item-form">
        <mat-form-field class="example-full-width">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Email" value="" formControlName="email" [errorStateMatcher]="matcher">
            <mat-error *ngIf="registrationForm.get('email').hasError('email') && !registrationForm.get('email').hasError('required')">
                Please enter a valid email address
            </mat-error>
            <mat-error *ngIf="registrationForm.get('email').hasError('required')">
                Email is <strong>required</strong>
            </mat-error>
        </mat-form-field>
    
        <mat-form-field class="example-full-width">
            <mat-label>Ville</mat-label>
            <input matInput placeholder="Ville" value="" formControlName="city" (change)="onChangeCityValue()">
            <mat-error *ngIf="registrationForm.get('city').hasError('required')">
                City is <strong>required</strong>
            </mat-error>
        </mat-form-field>
    </div>
      
       
    <div class="checkbox" *ngIf="showCheckbox">
        <mat-checkbox>Possède une voiture</mat-checkbox>
    </div>
    
    <button id="submit-button" mat-stroked-button color="primary" type="submit">valider</button>
      
  </form>